Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.authentication
Class IsActionAuthorised

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.authentication.IsActionAuthorised

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<IsActionAuthorisedResult>, net.customware.gwt.dispatch.shared.Action<IsActionAuthorisedResult>

    public class IsActionAuthorised

extends java.lang.Object
implements OSAction<IsActionAuthorisedResult>

Finds out if a system action is authorised for the specifed user and scope

©2011 TIBCO Software Inc.

Since:
  2.0.0

Constructor Summary
`IsActionAuthorised(java.lang.String entityType, java.lang.String entityGuid, java.lang.String actionComponent, java.lang.String actionName, boolean faultOnUnAuthorised)`

Method Summary
`java.lang.String` | `getActionComponent()`
`java.lang.String` | `getActionName()`
`java.lang.String` | `getEntityGuid()`
`java.lang.String` | `getEntityType()`
`boolean` | `isFaultOnUnauthorised()`
`void` | `setActionComponent(java.lang.String actionComponent)`
`void` | `setActionName(java.lang.String actionName)`
`void` | `setEntityGuid(java.lang.String entityGuid)`
`void` | `setEntityType(java.lang.String entityType)`
`void` | `setFaultOnUnauthorised(boolean faultOnUnauthorised)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IsActionAuthorised

    public IsActionAuthorised(java.lang.String entityType,
                              java.lang.String entityGuid,
                              java.lang.String actionComponent,
                              java.lang.String actionName,
                              boolean faultOnUnAuthorised)

Method Detail

### getEntityType

    public java.lang.String getEntityType()

### setEntityType

    public void setEntityType(java.lang.String entityType)

### getEntityGuid

    public java.lang.String getEntityGuid()

### setEntityGuid

    public void setEntityGuid(java.lang.String entityGuid)

### getActionComponent

    public java.lang.String getActionComponent()

### setActionComponent

    public void setActionComponent(java.lang.String actionComponent)

### getActionName

    public java.lang.String getActionName()

### setActionName

    public void setActionName(java.lang.String actionName)

### isFaultOnUnauthorised

    public boolean isFaultOnUnauthorised()

### setFaultOnUnauthorised

    public void setFaultOnUnauthorised(boolean faultOnUnauthorised)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.